1.4.0 installer doesn't remove default.conf from apache on deb systems

01/30/2014 02:31 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee:    

Category: External modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The current installer leaves 15-default.conf in the apache config. This has the effect of breaking the http->https redirect we expect

from Foreman, and also impacts provisioning, which tradtionally operates on http. Instead, you get the standard apache welcome

page

I've confirmed that deleting 15-default.conf and restarting apache works. I'm just not entirely sure yet how to make it go away in the

pl-apache module. Input welcome.

Associated revisions

Revision bce6ed78 - 02/01/2014 11:36 AM - Greg Sutcliffe

Fixes #4225 - Use alphanumeric ordering for vhosts

History

#1 - 01/30/2014 03:23 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

https://github.com/theforeman/puppet-foreman/pull/151

#2 - 02/03/2014 09:53 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|commit:bce6ed78fe859c8445a28dea66ebb1ad4721f66b.
